unit _HotReg;

interface


procedure Register;

implementation
 uses classes,SysUtils,DsgnIntf,HotImage,HSEdit;
  type
  THotSpotProperty = class(TPropertyEditor)
  public
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
    procedure Edit;override;
  end;

function THotSpotProperty.GetAttributes:TPropertyAttributes;
begin
   Result := [paReadOnly,paDialog];
end;

function THotSpotProperty.GetValue: string;
begin
 result:='(THotSpots)';
end;

procedure THotSpotProperty.Edit;
var HotSpots:THotSpots;
begin
 HotSpots:=THotSpots(GetOrdValue);
 if EditHotSpotsDlg(HotSpots,Format('%s.HotSpots',[TComponent(GetComponent(0)).Name]))
 then Designer.Modified;
end;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(THotSpots),THotImage,'HotSpots',THotSpotProperty);
  RegisterComponents('MAA', [THotImage]);
end;
end.
